Subject: Re: [Q]: Newbie question about WinAPI...
From: [email-masked] (Hilton Fernandes)

20 Feb 1998 20:38:45 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 8bit
To: "Bj rn Svartengren" <[email-masked]>, [email-masked]
Cc: "Fernandes, Hilton" <[email-masked]>

On 19 Feb 98 at 18:09,  Björn Svartengren <[email-masked]> wrote:

> Hello all!
> 
> Let me just say this straight out... I'm a total newbie to C++ and
> WinAPI...
> Therefor I whould like to use normal C which I know how to handle :)
> Is there anyway of creating windows and using the WinAPI with C?
> If so does anyone have a simple example of how to create a window?
> 
> In other cases please point me to a good newbie guide for WinAPI
> programing :)
> 

Hello Bjorn,

you can try the excellent Programming Windows 95, by Charles Petzold & Paul
Yao.  Some say it is not the best between all Win32 API books, but i simply
haven't read ahout another book so broad in coverage and at the same time so
deep.  A must read.  

BTW, it uses C only, and that may be of help for those of us who don't want to
add the learning of C++ to the learning of the Win32 API.   Both can be
complex and we have to take a breath sometimes. :-)

> Btw, I just installed Mingw32 and all the extras and tried some basic
> programs and it seems to work fine..
> 

It's good to see a public domain software work right.  Possibly as good as a
commercial one or even better.

> Cheers,
>  Björn Svartengren

Regards,
++Hilton
-------------------
Hilton Fernandes
email: [email-masked]
www:   http://www.lsi.usp.br/~hilton.html (inactive)
M. Sc. Student of Parallel Distributed Applications
at Escola Politecnica (Polytechnic School)
University of S. Paulo - Brazil
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".